import type { types as t } from '@babel/core';
import type * as Babel from '@babel/core';
import type { NodePath } from '@babel/traverse';
import type { ImportUtil } from 'babel-import-util';
export declare class JSUtils {
    #private;
    constructor(babel: typeof Babel, program: NodePath<t.Program>, template: NodePath<t.Expression>, locals: string[], importer: ImportUtil);
    bindValue(expression: string, opts?: {
        nameHint?: string;
    }): string;
    bindImport(moduleSpecifier: string, exportedName: string, opts?: {
        nameHint?: string;
    }): string;
}
export declare type WithJSUtils<T extends {
    meta?: object;
}> = {
    meta: T['meta'] & {
        jsutils: JSUtils;
    };
} & T;
